/* Funções da tabela Configuracoes/Funcionario */
window.onload = function () {

  $('#produtos a button').click(function () {
    var classe = $(this).attr('class');
    if (classe == "btn btn-success") {
      $('#id_produto').val($(this).attr('id'));
      $('#pontos').val($(this).attr('value'));
      var idProduto = $('#id_produto').val();
      var pontos_produto = $('#pontos').val();
      pontos_produto = parseFloat(pontos_produto);
      var pontos_usuario = $('#pontos_usuario').val();
      pontos_usuario = parseFloat(pontos_usuario);
      idUsuario = $('#id_usuario').val();
    }
    if (pontos_produto > pontos_usuario) {
      swal("Erro", "Você não possui pontos suficientes", "error");
    } else {
      swal({
        title: "Deseja salvar?",
        text: "Certifique-se de ter verificado todos os dados antes de efetuar a ação!",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#1E9FF2",
        confirmButtonText: "Sim, pode salvar!",
        cancelButtonText: "Não, cancele!",
        closeOnConfirm: true,
        closeOnCancel: false
      }, function (isConfirm) {
        if (isConfirm) {
          $.ajax({
            type: "POST",
            url: base_url + 'Milhagens/Trocas/trocarProduto',
            data: {
              'idProduto': idProduto,
              'idUsuario': idUsuario
            },
            dataType: 'json',
            success: function (data) {
              if (data.msg == "sucesso") {
                swal({
                  title: "Sucesso",
                  type: "success",
                  confirmButtonText: "Ok",
                  text: "Seu pedido foi recebido, em breve entraremos em contato para o envio!",
                }, function () {
                  location.reload();
                });
              } else if (data.msg == "erro") {
                swal("Erro", "Erro ao realizar a ação!", "error");
              }
            }
          });
        } else {
          swal("Cancelado", "Operação cancelada! Dados não gravados", "error");
        }
      });
    }

  });

};
